package engine;

import specs.Payoffs;
import specs.Score;

public class BasicPayoffs implements Payoffs {
	@Override
	public Score score(boolean defect1, boolean defect2) {
		if (defect1 && defect2) {
			return new Score(2, 2);
		} else if (defect1 && !defect2) {
			return new Score(0, 3);
		} else if (!defect1 && defect2) {
			return new Score(3, 0);
		} else {
			return new Score(1, 1);
		}
	}
}
